Bug 519258 - mock ignores unsattisfied BuildRequires with German locale
Summary: mock ignores unsattisfied BuildRequires with German locale
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 19
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 20:51 UTC by Till Maas
Modified: 2014-10-10 16:04 UTC (History)
7 users (show)

Fixed In Version: mock-1.1.41-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-01 22:22:57 UTC


Attachments (Terms of Use)
Set LC_ALL=C in chroot's environment (397 bytes, patch)
2010-02-22 00:10 UTC, Hans Ulrich Niedermann
no flags Details | Diff

Description Till Maas 2009-08-25 20:51:35 UTC
Description of problem:

I tried to build a package with these BRs for EPEL 5:
BuildRequires:  python-devel hunspell-devel

hunspell-devel does not exist in EPEL 5, but mock did not notice this, but tried to build the package nevertheless. I failed with hunspell.h not being found.

Ready to used SPEC/SRPM:
Spec URL: http://till.fedorapeople.org/review/pyhunspell.spec
SRPM URL: http://till.fedorapeople.org/review/pyhunspell-0.1-2.fc10.src.rpm


Version-Release number of selected component (if applicable):
mock-0.9.16-1.fc10

How reproducible:
always

Steps to Reproduce:
1. /usr/bin/mock -r epel-5-i386  rebuild pyhunspell-0.1-2.fc10.src.rpm
2. build fails
3. grep hunspell.h /var/lib/mock/epel-5-i386/result/build.log

  
Actual results:
hunspell.c:21:22: error: hunspell.h: No such file or directory


Expected results:
build.log should be almost empty and mock should fail during creation of root.log.


Additional info:

yum does return 0 if some packages specified at the commandline can be installed, there checking only the returncode of yum is currently not enough to abort during the creation of root.log

Btw. adding bugs to the upstream mock bug tracker is currently disabled:
https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora%20Hosted%20Projects&component=mock

If this will stay this way in the future, it would be nice to update the project pages of mock with a pointer to the new bug tracker. Is it this one?
Affected pages:

https://fedorahosted.org/mock/
https://fedoraproject.org/wiki/Projects/Mock

Comment 1 Till Maas 2009-08-25 22:13:54 UTC
Locale is: de_DE.UTF-8

Problem is at:
py/mock/backend.py:386 in current git (3bc5fb958deb809fc04d6a74ce6688e093f5831a):
384                 output = self._yum('resolvedep %s' % arg_string, returnOutput=1)
385                 for line in output.split('\n'):
386                     if line.lower().find('No Package found for'.lower()) != -1:
387                         raise mock.exception.BuildError, "Bad build req: %s. Exiting." % line

This will not match with my locale, because then yum writes:
Kein Paket gefunden für

Comment 2 Jesse Keating 2009-08-25 23:36:23 UTC
Yeah, we discovered that on IRC earlier.  That chunk of code is from the initial check in way back in 2005.

Long term fix would be to stop screenscraping yum and instead use the API directly.  Short term would be to force the C local for the yum calls, although that's a bit rude.  Workaround would be to run the entirety of mock in the C local.

Comment 3 Bug Zapper 2009-11-18 12:13:04 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Hans Ulrich Niedermann 2010-02-22 00:10:45 UTC
Created attachment 395406 [details]
Set LC_ALL=C in chroot's environment

<cwickert> Oxf13, the patch works: ERROR: Bad build req: No Package Found for menu-cache-devel >= 0.3.0. Exiting.

Apparently, the patch fixes the issue.

Comment 5 Bug Zapper 2010-11-04 10:22:33 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-05 06:33:32 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Robert Scheck 2010-12-09 00:09:00 UTC
From my point of view, this issue still exists as of Fedora 13.

Comment 8 Fedora Admin XMLRPC Client 2011-03-11 18:10:14 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Bug Zapper 2011-06-02 17:48:15 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Christoph Wickert 2011-06-02 18:00:52 UTC
Upgrading but to rawhide to avoid it gets closed.

Comment 11 Fedora End Of Life 2013-04-03 20:19:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 12 Miroslav Suchý 2014-05-16 07:41:03 UTC
Fixed in commit 7ff73e6545687074b603f7d3d7e1ff7d1ff37a91

Comment 13 Fedora Update System 2014-05-27 15:39:31 UTC
mock-1.1.39-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.fc19

Comment 14 Fedora Update System 2014-05-27 15:39:47 UTC
mock-1.1.39-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.el6

Comment 15 Fedora Update System 2014-05-27 15:40:04 UTC
mock-1.1.39-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.fc20

Comment 16 Fedora Update System 2014-05-27 19:12:01 UTC
Package mock-1.1.39-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.39-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1506/mock-1.1.39-1.el6
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2014-06-01 22:22:57 UTC
mock-1.1.39-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-06-25 20:00:15 UTC
mock-1.1.39-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-07-18 02:13:29 UTC
mock-1.1.40-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.fc20

Comment 20 Fedora Update System 2014-07-18 02:13:55 UTC
mock-1.1.40-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.fc19

Comment 21 Fedora Update System 2014-07-18 02:14:17 UTC
mock-1.1.40-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.el6

Comment 22 Fedora Update System 2014-07-18 17:45:37 UTC
mock-1.1.41-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.fc20

Comment 23 Fedora Update System 2014-07-18 17:46:03 UTC
mock-1.1.41-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.fc19

Comment 24 Fedora Update System 2014-07-18 17:46:28 UTC
mock-1.1.41-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.el6

Comment 25 Fedora Update System 2014-07-20 03:24:47 UTC
mock-1.1.41-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2014-07-22 18:08:07 UTC
mock-1.1.41-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2014-09-16 16:47:05 UTC
mock-1.1.41-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-2.fc19

Comment 28 Fedora Update System 2014-09-30 09:00:20 UTC
mock-1.1.41-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-3.fc19

Comment 29 Fedora Update System 2014-10-10 16:04:30 UTC
mock-1.1.41-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.